diff -Naurp gcc/cfgexpand.c gcc/cfgexpand.c
--- gcc/cfgexpand.c	2013-01-11 16:40:46.000000000 +0530
+++ gcc/cfgexpand.c	2013-01-11 16:50:21.000000000 +0530
@@ -1568,11 +1568,14 @@ expand_used_vars (void)
 	     we don't do anything here.  But those which don't contain the
 	     default def (representing a temporary based on the parm/result)
 	     we need to allocate space just like for normal VAR_DECLs.  */
-	  if (!bitmap_bit_p (SA.partition_has_default_def, i))
-	    {
-	      expand_one_var (var, true, true);
-	      gcc_assert (SA.partition_to_pseudo[i]);
-	    }
+         if (TREE_CODE (SSA_NAME_VAR (var)) != PARM_DECL)
+          {
+            if (!bitmap_bit_p (SA.partition_has_default_def, i))
+              {
+                expand_one_var (var, true, true);
+                gcc_assert (SA.partition_to_pseudo[i]);
+              }
+          }
 	}
     }
   pointer_map_destroy (ssa_name_decls);
